#!/bin/bash
 
A=$(docker inspect --format='{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' party0) 
B=$(docker inspect --format='{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' party1) 
echo $A
echo $B
docker exec -w /root/duoram/usenix-artifact/2p-preprocessing party1 ./OT  $B $A 1 128 &
sleep 2
echo "P1 launched"
docker exec -w /root/duoram/usenix-artifact/2p-preprocessing party0 ./OT  $A $B 0 128 &
echo "P0 launched"
wait
